List MCP Integration Capabilities
curl --request GET \
--url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/capabilities \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/capabilities"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"icons": "<array>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"input_schema": {},
"output_schema": {},
"execution": {},
"annotations": {},
"arguments": "<array>",
"uri": "<string>",
"uri_template": "<string>",
"mime_type": "<string>",
"size": 123
}
],
"counts": {
"tools": {
"total": 123,
"enabled": 123
},
"prompts": {
"total": 123,
"enabled": 123
},
"resources": {
"total": 123,
"enabled": 123
},
"resource_templates": {
"total": 123,
"enabled": 123
}
},
"total": 123,
"has_more": true
}List MCP Integration Capabilities
GET
/
mcp-integrations
/
{mcpIntegrationId}
/
capabilities
List MCP Integration Capabilities
Authorizations
Path Parameters
MCP Integration ID (UUID) or slug
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 500Available options:
tool, prompt, resource, resource_template Last modified on April 23, 2026
Was this page helpful?
⌘I

